while (lines file) ->                            while (lines process.std-out process.std-err) ->
  line = line-in file                              if (chars-exists process.std-out) ->
                                                     ...
  if (line = ';.') -> leave                        ;
  else say line; iterate
;                                                  if (chars-exists process.std-err) ->
                                                     ...
                                                   ;
                                                 ;